services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: true

    Symfony\Component\Messenger\MessageBusInterface:
        class: 'App\Tests\Shared\Adapter\InMemoryMessageBus'
        public: true

    App\Domain\Scraping\Domain\Contract\Repository\ScrapingJobRepositoryInterface:
        class: 'App\Tests\Domain\Scraping\Adapter\InMemoryScrapingJobRepository'
        public: true

    App\Domain\Scraping\Domain\Contract\Service\CbzGeneratorInterface:
        class: 'App\Tests\Domain\Scraping\Adapter\InMemoryCbzGenerator'
        arguments:
            $projectDir: '%kernel.project_dir%'
        public: true

    App\Domain\Manga\Domain\Contract\Service\ImageProcessorInterface:
        class: App\Tests\Domain\Manga\Adapter\InMemoryImageProcessor
        public: true

#    App\Domain\Reader\Domain\Contract\Repository\ChapterRepositoryInterface:
#        class: App\Tests\Domain\Reader\Adapter\InMemoryChapterRepository
#        public: true


